Subject: A question on notifications-03

From: Li Yan <[email-masked]>
Date: Sat, 30 Sep 2006 17:48:34 +0800

Hi,

I have a question on notifications-03.

2.3  Terminating the Subscription

   Closing of the event notification subscription is done by terminating

   the Netconf session ( <kill-session> )or via some action outside the

   scope of this specification.

Does it imply that configuration and notification MUST run in two different
sessions? Otherwise, configuration operations could be broke by
<kill-session>.

In addition, I believe the Subscription Id doesn't make sense any more,
because <cancel-subscription> and <modify-subscription> operations have been
eliminated. A notification subscription should associate with a session-id,
thus we can use <kill-session> to close a notification subscription.

Yan